commit:     0e944de23af20f4f46e711f711d89607cbe28672
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  4 08:32:26 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Nov  4 08:38:55 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e944de2

dev-python/nbclassic: add 0.4.8

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/nbclassic/Manifest               |  1 +
 dev-python/nbclassic/nbclassic-0.4.8.ebuild | 66 +++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/nbclassic/Manifest b/dev-python/nbclassic/Manifest
index e4c1e3d4f50e..8fcd87979b4d 100644
--- a/dev-python/nbclassic/Manifest
+++ b/dev-python/nbclassic/Manifest
@@ -1,2 +1,3 @@
 DIST nbclassic-0.4.6.tar.gz 19870837 BLAKE2B 
aba744557f6a87fd95669c0736c314714f2318abe65ed5ca0d5c4236245e27bfde52fe486e43a7369587103459598540e15738d002da859413f3f59d87f5358c
 SHA512 
915265679194b8101ef7f11fd6a76cfa2c238d2b533f40bd3dd9f91b12488f9f5738a0f5ba06882a2898e231525a8b160506cb07f0c0837a64af6fdca1295065
 DIST nbclassic-0.4.7.tar.gz 19871431 BLAKE2B 
ea9b77c2676e4f70a6785b5cceaed6f233346cbc878c83e14faf23c50d4340106df0f84ee3a20bfab3f02daae5b10123ef6cc83e4d147f5d63017f02a463df1b
 SHA512 
19ffff062fe24316e658af253210fd683b4a950b5913e978eeb98af42e76ce4c1d4dcf164c499d20814c2fe2bd9b1fcd7d09c513e71cc75615cc378f00308556
+DIST nbclassic-0.4.8.tar.gz 19875247 BLAKE2B 
f6a4ff226ebd7c39fa657e06c1854e24ef7e50e893cc1a0b52c0cef194f8638b26a3b4a74d6d4077c055470bf1a7895995e184f3678b1157813981223631f6a6
 SHA512 
a0b6cc7823da3e7bd3ae7627994fd6a0e79adcc201763e6597e41d0f2a1fe287edb38903e4240702a34e20bd5e3c32c5460ca3b3355f59585bd2aa8dc46276f2

diff --git a/dev-python/nbclassic/nbclassic-0.4.8.ebuild 
b/dev-python/nbclassic/nbclassic-0.4.8.ebuild
new file mode 100644
index 000000000000..941985dcdd52
--- /dev/null
+++ b/dev-python/nbclassic/nbclassic-0.4.8.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=jupyter
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="Jupyter Notebook as a Jupyter Server Extension"
+HOMEPAGE="
+       https://jupyter.org/
+       https://github.com/jupyter/nbclassic/
+       https://pypi.org/project/nbclassic/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       >=dev-python/jupyter_server-1.17.0[${PYTHON_USEDEP}]
+       <dev-python/notebook-7[${PYTHON_USEDEP}]
+       >=dev-python/notebook_shim-0.1.0[${PYTHON_USEDEP}]
+"
+
+# pytest-console-scripts seem unused
+BDEPEND="
+       test? (
+               dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+       )
+       doc? (
+               virtual/pandoc
+       )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source \
+       dev-python/sphinx_rtd_theme \
+       dev-python/nbsphinx \
+       dev-python/sphinxcontrib-github-alt \
+       dev-python/myst_parser \
+       dev-python/ipython_genutils
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p pytest_tornasync.plugin
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       # move /usr/etc stuff to /etc
+       mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to